https://github.com/eblot/pyftdi/pull/356
https://github.com/eblot/pyftdi/commit/ed33b4916d382f8653d40c9f66d05f5efcf66a97.patch

From 915fc5b461ed2b142f1e23ab7f1e3595fbaea3b1 Mon Sep 17 00:00:00 2001
From: Mark Mentovai <mark@mentovai.com>
Date: Wed, 16 Aug 2023 14:31:52 -0400
Subject: [PATCH 2/2] tests: don't present untestable base classes via pytest

---
 pyftdi/tests/eeprom_mock.py | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git pyftdi/tests/eeprom_mock.py pyftdi/tests/eeprom_mock.py
index 78665789c4c8..ced748d2c902 100644
--- pyftdi/tests/eeprom_mock.py
+++ pyftdi/tests/eeprom_mock.py
@@ -18,7 +18,7 @@ from pyftdi.ftdi import FtdiError
 VirtLoader = None
 
 
-class FtdiTestCase(TestCase):
+class FtdiBaseCase:
     """Common features for all tests.
     """
 
@@ -37,7 +37,7 @@ class FtdiTestCase(TestCase):
         pass
 
 
-class EepromMirrorTestCase(FtdiTestCase):
+class EepromMirrorBaseCase(FtdiBaseCase):
     """Test FTDI EEPROM mirror feature (duplicate eeprom data over 2 eeprom
     sectors). Generally this is tested with a virtual eeprom (by setting
     environment variable FTDI_VIRTUAL=on), however you may also test with an
@@ -52,7 +52,7 @@ class EepromMirrorTestCase(FtdiTestCase):
 
     @classmethod
     def setUpClass(cls):
-        FtdiTestCase.setUpClass()
+        FtdiBaseCase.setUpClass()
         if VirtLoader:
             cls.loader = VirtLoader()
             with open(cls.TEST_CONFIG_FILENAME, 'rb') as yfp:
@@ -180,15 +180,15 @@ class EepromMirrorTestCase(FtdiTestCase):
                 eeprom.data[ii + eeprom.mirror_sector])
 
 
-class EepromMirrorFt232hTestCase(EepromMirrorTestCase):
+class EepromMirrorFt232hTestCase(EepromMirrorBaseCase, TestCase):
     TEST_CONFIG_FILENAME = 'pyftdi/tests/resources/ft232h.yaml'
 
 
-class EepromMirrorFt2232hTestCase(EepromMirrorTestCase):
+class EepromMirrorFt2232hTestCase(EepromMirrorBaseCase, TestCase):
     TEST_CONFIG_FILENAME = 'pyftdi/tests/resources/ft2232h.yaml'
 
 
-class EepromMirrorFt230xTestCase(FtdiTestCase):
+class EepromMirrorFt230xTestCase(FtdiBaseCase, TestCase):
     """Test FTDI eeprom with non-mirroring capabilities to ensure it works as
        expected.
     """
@@ -196,7 +196,7 @@ class EepromMirrorFt230xTestCase(FtdiTestCase):
 
     @classmethod
     def setUpClass(cls):
-        FtdiTestCase.setUpClass()
+        FtdiBaseCase.setUpClass()
         if VirtLoader:
             cls.loader = VirtLoader()
             with open(cls.TEST_CONFIG_FILENAME, 'rb') as yfp:
-- 
2.41.0

